import "./chunks/chunk-U5RRZUYZ.js";

// src/config.ts
import { createMediaRoot } from "alinea/core/media/MediaRoot";
import { createConfig } from "./core/Config.js";
import { document } from "./core/Document.js";
import { page } from "./core/Page.js";
import { snippet } from "./core/pages/Snippet.js";
import { root } from "./core/Root.js";
import { schema } from "./core/Schema.js";
import { track } from "./core/Tracker.js";
import { type } from "./core/Type.js";
import { workspace } from "./core/Workspace.js";
export {
  createConfig as create,
  document,
  createMediaRoot as media,
  page,
  root,
  schema,
  snippet,
  track,
  type,
  workspace
};
