import "../chunks/chunk-U5RRZUYZ.js";

// src/core/Entry.ts
import { Expr } from "./Expr.js";
var Entry = {
  id: new Expr({ type: "entryField", name: "id" }),
  status: new Expr({ type: "entryField", name: "status" }),
  title: new Expr({ type: "entryField", name: "title" }),
  type: new Expr({ type: "entryField", name: "type" }),
  seeded: new Expr({ type: "entryField", name: "seeded" }),
  workspace: new Expr({ type: "entryField", name: "workspace" }),
  root: new Expr({ type: "entryField", name: "root" }),
  level: new Expr({ type: "entryField", name: "level" }),
  filePath: new Expr({ type: "entryField", name: "filePath" }),
  parentDir: new Expr({ type: "entryField", name: "parentDir" }),
  childrenDir: new Expr({ type: "entryField", name: "childrenDir" }),
  index: new Expr({ type: "entryField", name: "index" }),
  parentId: new Expr({ type: "entryField", name: "parentId" }),
  locale: new Expr({ type: "entryField", name: "locale" }),
  rowHash: new Expr({ type: "entryField", name: "rowHash" }),
  active: new Expr({ type: "entryField", name: "active" }),
  main: new Expr({ type: "entryField", name: "main" }),
  path: new Expr({ type: "entryField", name: "path" }),
  fileHash: new Expr({ type: "entryField", name: "fileHash" }),
  url: new Expr({ type: "entryField", name: "url" }),
  data: new Expr({ type: "entryField", name: "data" }),
  searchableText: new Expr({ type: "entryField", name: "searchableText" })
};
export {
  Entry
};
