import "../../chunks/chunk-U5RRZUYZ.js";

// src/field/object/ObjectField.ts
import { type } from "alinea/core/Type";
import { RecordField } from "alinea/core/field/RecordField";
var ObjectField = class extends RecordField {
};
function object(label, options) {
  const fields = type("Object fields", {
    fields: options.fields
  });
  return Object.assign(
    new ObjectField(fields, {
      options: { label, ...options, fields },
      view: "alinea/field/object/ObjectField.view#ObjectInput"
    }),
    fields
  );
}
export {
  ObjectField,
  object
};
