import { FieldOptions, WithoutLabel } from 'alinea/core/Field';
import { ScalarField } from 'alinea/core/field/ScalarField';
import { ReactNode } from 'react';
export interface PathOptions extends FieldOptions<string> {
    width?: number;
    from?: string;
    help?: ReactNode;
    inline?: boolean;
}
export declare class PathField extends ScalarField<string, PathOptions> {
}
export declare function path(label: string, options?: WithoutLabel<PathOptions>): PathField;
