import "./chunks/chunk-U5RRZUYZ.js";

// src/query.ts
import { Entry } from "alinea/core/Entry";
import { snippet } from "alinea/core/pages/Snippet";
var id = Entry.id;
var title = Entry.title;
var type = Entry.type;
var index = Entry.index;
var workspace = Entry.workspace;
var root = Entry.root;
var status = Entry.status;
var parentId = Entry.parentId;
var locale = Entry.locale;
var path = Entry.path;
var url = Entry.url;
function children(query) {
  const { depth, ...rest } = query;
  return { children: { depth }, ...rest };
}
function parents(query) {
  const { depth, ...rest } = query;
  return { parents: { depth }, ...rest };
}
function translations(query) {
  const { includeSelf, ...rest } = query;
  return { translations: { includeSelf }, ...rest };
}
function parent(query) {
  return { parent: {}, ...query };
}
function next(query) {
  return { next: {}, ...query };
}
function previous(query) {
  return { previous: {}, ...query };
}
function siblings(query) {
  const { includeSelf, ...rest } = query;
  return { siblings: { includeSelf }, ...rest };
}
export {
  children,
  id,
  index,
  locale,
  next,
  parent,
  parentId,
  parents,
  path,
  previous,
  root,
  siblings,
  snippet,
  status,
  title,
  translations,
  type,
  url,
  workspace
};
