import {
  getSql,
  getTable,
  hasSql,
  hasTable,
  sql
} from "./chunk-NXCD6SNE.js";

// node_modules/rado/dist/core/expr/Input.js
function input(value) {
  if (typeof value !== "object" || value === null)
    return sql.value(value);
  if (hasTable(value))
    return sql.identifier(getTable(value).name);
  if (hasSql(value))
    return getSql(value);
  return sql.value(value);
}

export {
  input
};
