import { MetadataField } from 'alinea/field/metadata';
import { PathField } from 'alinea/field/path';
import { TextField } from 'alinea/field/text';
import { FieldsDefinition, Type, TypeConfig } from './Type.js';
export type Document = {
    title: TextField;
    path: PathField;
    metadata: MetadataField;
};
export declare function document<Fields extends FieldsDefinition>(label: string, { fields, ...config }: TypeConfig<Fields>): Type<Document & Fields>;
