import { EntryStatus } from './EntryRow.js';
export interface EntryFields {
    _id: string;
    _type: string;
    _index: string;
    _workspace: string;
    _root: string;
    _status: EntryStatus;
    _parentId: string | null;
    _locale: string | null;
    _path: string;
    _url: string;
    _active: boolean;
}
export declare const EntryFields: {
    _id: import("./Expr.js").Expr<string>;
    _type: import("./Expr.js").Expr<string>;
    _index: import("./Expr.js").Expr<string>;
    _workspace: import("./Expr.js").Expr<string>;
    _root: import("./Expr.js").Expr<string>;
    _status: import("./Expr.js").Expr<EntryStatus>;
    _parentId: import("./Expr.js").Expr<string | null>;
    _locale: import("./Expr.js").Expr<string | null>;
    _path: import("./Expr.js").Expr<string>;
    _url: import("./Expr.js").Expr<string>;
    _active: import("./Expr.js").Expr<boolean>;
};
