import "../chunks/chunk-U5RRZUYZ.js";

// src/core/Internal.ts
var internalRoot = Symbol.for("@alinea.Root");
var hasRoot = (obj) => internalRoot in obj;
var getRoot = (obj) => obj[internalRoot];
var internalType = Symbol.for("@alinea.Type");
var hasType = (obj) => internalType in obj;
var getType = (obj) => obj[internalType];
var internalField = Symbol.for("@alinea.Field");
var hasField = (obj) => internalField in obj;
var getField = (obj) => obj[internalField];
var internalWorkspace = Symbol.for("@alinea.Workspace");
var hasWorkspace = (obj) => internalWorkspace in obj;
var getWorkspace = (obj) => obj[internalWorkspace];
var internalExpr = Symbol.for("@alinea.Expr");
var hasExpr = (obj) => internalExpr in obj;
var getExpr = (obj) => obj[internalExpr];
export {
  getExpr,
  getField,
  getRoot,
  getType,
  getWorkspace,
  hasExpr,
  hasField,
  hasRoot,
  hasType,
  hasWorkspace,
  internalExpr,
  internalField,
  internalRoot,
  internalType,
  internalWorkspace
};
