import { Workspace } from 'alinea/types';
import { Config } from './Config.js';
import { Expr } from './Expr.js';
import { Field } from './Field.js';
import { Page } from './Page.js';
import { Root } from './Root.js';
import { Type } from './Type.js';
type Entity = Workspace | Root | Type | Field | Expr | Page;
export declare class Scope {
    #private;
    constructor(config: Config);
    locationOf(entity: Entity): string[] | undefined;
    nameOf(entity: Entity): string | undefined;
    stringify(input: any): string;
    parse<Result>(input: string): Result;
}
export declare function getScope(config: Config): Scope;
export {};
