import "../../chunks/chunk-U5RRZUYZ.js";

// src/core/media/Summary.ts
import { Entry } from "../Entry.js";
function summarySelection(schema) {
  const MediaFile = schema.MediaFile;
  return {
    id: Entry.id,
    locale: Entry.locale,
    type: Entry.type,
    workspace: Entry.workspace,
    root: Entry.root,
    title: Entry.title,
    extension: MediaFile.extension,
    size: MediaFile.size,
    preview: MediaFile.preview,
    thumbHash: MediaFile.thumbHash,
    averageColor: MediaFile.averageColor,
    focus: MediaFile.focus,
    width: MediaFile.width,
    height: MediaFile.height,
    parents: {
      parents: {},
      select: {
        id: Entry.id,
        title: Entry.title
      }
    },
    childrenAmount: {
      children: {},
      count: true
    }
  };
}
export {
  summarySelection
};
