import "../../chunks/chunk-U5RRZUYZ.js";

// src/core/pages/Snippet.ts
import { Expr } from "../Expr.js";
function snippet(start = "<mark>", end = "</mark>", cutOff = "...", limit = 64) {
  return new Expr({
    type: "call",
    method: "snippet",
    args: [
      new Expr({ type: "value", value: start }),
      new Expr({ type: "value", value: end }),
      new Expr({ type: "value", value: cutOff }),
      new Expr({ type: "value", value: limit })
    ]
  });
}
export {
  snippet
};
