import DataLoader from 'dataloader';
export interface EntrySummary {
    id: string;
    locale: string | null;
    type: string;
    workspace: string;
    root: string;
    title: string;
    parents: Array<{
        id: string;
        title: string;
    }>;
    childrenAmount: number;
}
export declare const entrySummaryLoaderAtom: import("jotai").Atom<Promise<DataLoader<string, Record<string, EntrySummary>, string>>>;
interface EntryKeys {
    id: string;
    locale: string | null;
}
export declare const entrySummaryAtoms: import("jotai/vanilla/utils/atomFamily.js").AtomFamily<EntryKeys, import("jotai").Atom<Promise<EntrySummary | undefined>>>;
export {};
