import { Reference } from 'alinea/core/Reference';
import { ExporerItemSelect } from '../view/explorer/Explorer.js';
type ExplorerContext = {
    selectable?: Array<string> | boolean;
    selection: Array<Reference>;
    onSelect: (entry: ExporerItemSelect) => void;
    onNavigate?: (id: string) => void;
    showMedia?: boolean;
    withNavigation?: boolean;
    border?: boolean;
};
export declare function useExplorer(): ExplorerContext;
export declare const ExplorerProvider: import("react").Provider<ExplorerContext | undefined>;
export {};
