import { QueryWithResult } from 'alinea/core/Graph';
import { Schema } from 'alinea/core/Schema';
import { SummaryProps } from 'alinea/core/media/Summary';
import { ComponentType } from 'react';
import { ExporerItemSelect } from './Explorer.js';
export type ExplorerRowProps = {
    schema: Schema;
    query: QueryWithResult<ExporerItemSelect>;
    batchSize: number;
    amount: number;
    from: number;
    summaryView: 'summaryRow' | 'summaryThumb';
    defaultView: ComponentType<SummaryProps>;
};
export declare const ExplorerRow: import("react").NamedExoticComponent<ExplorerRowProps>;
