import type { FieldOptions, WithoutLabel } from 'alinea/core/Field';
import { FieldsDefinition, Type } from 'alinea/core/Type';
import { RecordField } from 'alinea/core/field/RecordField';
export interface ObjectOptions<Definition> extends FieldOptions<Type.Infer<Definition>> {
    fields: Type<Definition>;
}
export declare class ObjectField<Definition> extends RecordField<Type.Infer<Definition>, ObjectOptions<Definition>> {
}
export declare function object<Fields extends FieldsDefinition>(label: string, options: WithoutLabel<{
    fields: Fields;
} & FieldOptions<Type.Infer<Fields>>>): ObjectField<Fields> & Fields;
